<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100193";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("d/m/Y");
			
				////identificar cuenta 
					$sqlCR2 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
					if (mysql_numrows($sqlCR2)==0) echo "";
					else{
					$registroCR2=mysql_fetch_array($sqlCR2);
					}
					if (mysql_numrows($sqlCR2)>0)
					{
					$CuentaCR1=$registroCR2["CVE_CUENTA"];
					$NomBodCR2=$registroCR2["NOMBRE_CUENTA"];
					$ClavBodCR2=$registroCR2["CVE_BODEGA"];
					
					}			
			
				////identificar bodega
					$sqlCR3 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$ClavBodCR2'");
					if (mysql_numrows($sqlCR3)==0) echo "";
					else{
					$registroCR3=mysql_fetch_array($sqlCR3);
					}
					if (mysql_numrows($sqlCR3)>0)
					{
					$BodBodCR1=$registroCR3["CVE_BODEGA"];
					$NomBodegaCR2=$registroCR3["NOMBRE_BODEGA"];
					}

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br><Br><Br>
<?PHP

///Arrastrando Valores
$OrdenTrabajoEn=$_GET["NoOrdenKP"] or $OrdenTrabajoEn=$_POST["NoOrdenKP"];
			
///************************* INICIA ALGORITMO 12
///*****
///*****
///*****
///*****
///***** Solo Reanaliza todo Aquello pendiente por asignar - Parcialidades
			
///Analizar pendientes de Asignación
$sql_W0=mysql_query("Select * from extra_ordentrabajo where CVE_CUENTA='$CuentaCR1' AND NO_ORDEN='$OrdenTrabajoEn' AND  (ESTADO_LINEA<>'CANCELADA' AND ESTADO_LINEA<>'MAQUILADA') Order By ID ASC");
while($res_W0=mysql_fetch_array($sql_W0))
{///Inicia While 01
$IdBaDa_w0 = $res_W0['ID'];	
$PedSol_w0 = $res_W0['PEDIMENTO_SOLICITADO'];
$TipExt_w0 = $res_W0['TIPO_EXTRACCION'];
$CodSku_w0 = $res_W0['SKU'];
$CanTra_w0 = $res_W0['CANTIDAD_X_TRABAJAR'];
	
///Identificar el total de piezas con tareas ya Registradas	para el Analisis General
	$sqlSUMA2 = "Select SUM(CANT_XTAREA) as ObtCant2 FROM extra_tareas_ordentrabajo WHERE CVE_CUENTA='$CuentaCR1' AND NO_ORDEN='$OrdenTrabajoEn' AND TIPO_EXTRACCION='$TipExt_w0' AND SKU='$CodSku_w0' AND PEDIMENTO_SOLICITADO='$PedSol_w0' AND ESTADO_TAREA<>'CANCELADA'";
	$resSUMA2 = mysql_query($sqlSUMA2); 
	$PrePiezas2 = mysql_fetch_assoc($resSUMA2);
	$CantYaAsignada =  $PrePiezas2 ['ObtCant2'];
	
///Identificar si se requiere asignación por BackOrder Parcial	
if ($CantYaAsignada < $CanTra_w0)
{///INICIA IF GENERAL BACKORDER PARCIAL 01

///Barrer toda la Orden de Trabajo
$sql_W1=mysql_query("Select * from extra_ordentrabajo where CVE_CUENTA='$CuentaCR1' AND NO_ORDEN='$OrdenTrabajoEn' AND TIPO_EXTRACCION='$TipExt_w0' AND SKU='$CodSku_w0' AND PEDIMENTO_SOLICITADO='$PedSol_w0' AND ESTADO_LINEA<>'CANCELADA' Order By ID ASC");
while($res_W1=mysql_fetch_array($sql_W1))
{///Inicia While 01
$IdBaDa_w1 = $res_W1['ID'];	
$PedSol_w1 = $res_W1['PEDIMENTO_SOLICITADO'];
$TipExt_w1 = $res_W1['TIPO_EXTRACCION'];
$CodSku_w1 = $res_W1['SKU'];
$CanTra_w1 = $res_W1['CANTIDAD_X_TRABAJAR'];

///echo "Barrido del Codigo: ".$CodSku_w1."<Br>";
	
	///Barrer Stock y Asignar Pallets por Cambio de Calidad
	$sql_W2=mysql_query("Select * from tabla_inventario where CVE_CUENTA='$CuentaCR1' AND TIPO_ALMACEN='$TipExt_w1' AND SKU='$CodSku_w1' AND LOTEPRODU='$PedSol_w1' AND EDO_CALIDAD='D' AND CANTIDAD>'0' Order By FECHA_ENTRADA ASC");
	while($res_W2=mysql_fetch_array($sql_W2))
	{///Inicia While 02
	$NumId_w2 = $res_W2['ID'];
	$Canti_w2 = $res_W2['CANTIDAD'];
	$NoPal_w2 = $res_W2['NO_PALLET'];
	$Ubica_w2 = $res_W2['UBICACION'];
	$LoPro_w2 = $res_W2['LOTEPRODU'];
	
	
	////Identificar el total de piezas con tareas ya Registradas	
		$sqlSUMA = "Select SUM(CANT_XTAREA) as ObtCant FROM extra_tareas_ordentrabajo WHERE CVE_CUENTA='$CuentaCR1' AND NO_ORDEN='$OrdenTrabajoEn' AND TIPO_EXTRACCION='$TipExt_w1' AND SKU='$CodSku_w1' AND PEDIMENTO_SOLICITADO='$PedSol_w1' AND ESTADO_TAREA<>'CANCELADA'";
		$resSUMA = mysql_query($sqlSUMA); 
		$PrePiezas = mysql_fetch_assoc($resSUMA);
		$TotApartada =  $PrePiezas ['ObtCant'];
		

				
		
		if ($TotApartada == "0" or $TotApartada == "")
		{
			///$CantGenApartada = $TotApartada;
			$CantGenApartada = "0";
			///echo "Entra igual a 0"; -- Alert
		}
		else
		{
			$CantGenApartada = $TotApartada + $Canti_w2;
		}
							
		///Detectar si ya se aparto la cantidad suficiente - Todo por Estado de Calidad
		///if ($CantGenApartada <= $CanTra_w1)
		if ($CantGenApartada < $CanTra_w1)
		{///Inicia If Validador de Cantidades 01

		///Cantidad General Apartada
			$CantGenApartada = $TotApartada + $Canti_w2;
		
			///Cambiar pallet de estado de Calidad, Guardar Kardex, y Guardar cantidad apartada e Orden de Trabajo
			
				/////Identificar el codigo SKU del producto por medio de la clave del Pallet
					$sqlDU2 = mysql_query("select * from tabla_inventario WHERE CVE_CUENTA='$CuentaCR1' AND NO_PALLET='$NoPal_w2' AND ID='$NumId_w2' AND SKU='$CodSku_w1'");
					if (mysql_numrows($sqlDU2)==0) echo "";
					else{
					$registroDU2=mysql_fetch_array($sqlDU2);
					}
					if (mysql_numrows($sqlDU2)>0)
					{
						$IdBasDa_RC2=$registroDU2["ID"];
						$CNoDoc=$registroDU2["NO_DOCUMENTO"];
						$Complem_RC2=$registroDU2["NO_DOC_COMPLE"];
						$CSku=$registroDU2["SKU"];
						$CSkuAlt=$registroDU2["SKU_ALT"];
						$CDescr=$registroDU2["DESCRIPCION"];
						$CCanti=$registroDU2["CANTIDAD"];
						$ValLote_RC2=$registroDU2["LOTE"];
						$LoteWms_RC2=$registroDU2["LOTEWMS"];
						$Caducid_RC2=$registroDU2["CADUCIDAD"];
						$Factura_RC2=$registroDU2["FACTURA"];
						$Proveed_RC2=$registroDU2["PROVEEDOR"];
						$PzaxCaj_RC2=$registroDU2["PIEZASXCAJA"];
						$CajxPal_RC2=$registroDU2["CAJASXPALLET"];
						$NoPalle_RC2=$registroDU2["NO_PALLET"];
						$CUbicaActu=$registroDU2["UBICACION"];
						$Priorid_RC2=$registroDU2["PRIORIDAD"];
						$TipUbic_RC2=$registroDU2["TIPO_UBICACION"];
						$CEdoCali=$registroDU2["EDO_CALIDAD"];	
				
						$CCantiMEN="-".$registroDU2["CANTIDAD"];
						$CCantiMAS=$registroDU2["CANTIDAD"];

					}
			
////¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿? Inicia Algoritmo de la Sección 2 ¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?////
			
			///if ($CantGenApartada > $CanTra_w1 AND $CuentaRegistro_CON = "")
			if ($CantGenApartada > $CanTra_w1)
			{///Inicia If 200
				
				///Inicia proceso donde se hace una división de pallet solo por las piezas solicitadas originalmente
				///echo "Entra a lo nuevo!!!"; - alert
				
				$Restante = $CanTra_w1;
				
				///Identificar el prefijo configurado para la creación de pallets
					$sqlIDE1 = mysql_query("select * from wms_configura_pallet WHERE CVE_CUENTA='$CuentaCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{
					$PrefijoPal=$registroIDE1["PREFIJO"];
					}
					
				///Generador de Folio para guardar el concecutivo de la clave del Pallet
					$FechaPallet = substr($NoPalle_RC2, -13, 8); // debuelve la fecha del pallet origina
			
					$sqlIDP = "select max(IDINCRE) as ultimo_FOLIOP from tabla_consepallet WHERE FECHA='$FechaPallet'"; 
					$libP = mysql_query($sqlIDP); 
					$rs_libP = mysql_fetch_assoc($libP); 
					$id_nuevoP = $rs_libP['ultimo_FOLIOP'] + 1;
					
					if ($id_nuevoP <=9)
					{
					$IdenCeros="0000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=10 and $id_nuevoP <=99)
					{
					$IdenCeros="000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=100 and $id_nuevoP <=999)
					{
					$IdenCeros="00";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
					
					if ($id_nuevoP >=1000 and $id_nuevoP <=9999)
					{
					$IdenCeros="0";
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}
										
					if ($id_nuevoP >=10000)
					{
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}
					
				///Generador de Folio para guardar el consecutivo del Pallet
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consepallet"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
									
				///Guardar en la BD el consecutivo del No. de Pallet
					$sqlGCP = "insert tabla_consepallet (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,NO_PALLET,FECHA)
        			values('$id_nuevoP2','$ClavBodCR2','$CuentaCR1','$id_nuevoP','$CNoDoc','$ClavePallet','$FechaPallet')";
					$resultadoGCP=mysql_query($sqlGCP,$conexion) or die(mysql_error());
				
				///Generador de Folio tabla Inventarios
					$sqlID = "select max(ID) as ultimo_FOLIO from tabla_inventario"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_nuevoPPall = $rs_lib['ultimo_FOLIO'] + 1;
					
					///Guardar el Nuevo Pallet en la Tabla de Inventario
					$ArmadoDivision="1 pallet de ".$Restante." piezas";
					$FechaEnt=date("Y/m/d");
					////Hora y Fecha
					$Hora2=time();
					$HoraOK2=date("H:i:s",$Hora2);
					
				///Guarda Registro Nuevo en el Inventario			
					$sqlDP = "insert tabla_inventario (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,SKU,SKU_ALT,DESCRIPCION,FECHA_ENTRADA,CANTIDAD,LOTE,LOTEWMS,LOTEPRODU,CADUCIDAD,FACTURA,PROVEEDOR,PIEZASXCAJA,CAJASXPALLET,ARM_PALLET,NO_PALLET,UBICACION,PRIORIDAD,TIPO_UBICACION,EDO_CALIDAD,USUARIO_ALTA,HORA,FECHA,TIPO_ALMACEN)
        			values('$id_nuevoPPall','$ClavBodCR2','$CuentaCR1','$CNoDoc','$Complem_RC2','$CSku','$CSkuAlt','$CDescr','$FechaEnt','$Restante','$ValLote_RC2','$LoteWms_RC2','$LoPro_w2','$Caducid_RC2','$Factura_RC2','$Proveed_RC2','$PzaxCaj_RC2','$CajxPal_RC2','$ArmadoDivision','$ClavePallet','$CUbicaActu','$Priorid_RC2','$TipUbic_RC2','PT','$UsuEn','$HoraOK2','$FechaEnt','$TipExt_w1')";
					$resultadoDP=mysql_query($sqlDP,$conexion) or die(mysql_error());
				
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					
				///Generador de Folio para Guardar el kardex (Registro a MENOS)
					$sqlIDPK1 = "select max(ID) as ultimo_FOLIOPK1 from tabla_kardex"; 
					$libPK1 = mysql_query($sqlIDPK1); 
					$rs_libPK1 = mysql_fetch_assoc($libPK1); 
					$id_nuevoPK1 = $rs_libPK1['ultimo_FOLIOPK1'] + 1;
						
				/////Guarda la División del Pallet Orignal en el Kardex con un Registro Nuevo
					$sqlMK = "insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
					values('$id_nuevoPK1','$ClavBodCR2','$CuentaCR1','$CSku','$CSkuAlt','$CNoDoc','DIVISION','$CUbicaActu','$NoPal_w2','-$Restante','$FechaEnt','$HoraOK','$UsuEn')";
					$resultadoMK=mysql_query($sqlMK,$conexion) or die(mysql_error());
					
					
					////Generador de Folio para Guardar el Kardex (Registro a MAS)			
					$sqlIDPK = "select max(ID) as ultimo_FOLIOPK from tabla_kardex"; 
					$libPK = mysql_query($sqlIDPK); 
					$rs_libPK = mysql_fetch_assoc($libPK); 
					$id_nuevoPK = $rs_libPK['ultimo_FOLIOPK'] + 1;
					
					/////Guardar el Registro nuevo en el Kardex
					$sqlk = "insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
					values('$id_nuevoPK','$ClavBodCR2','$CuentaCR1','$CSku','$CSkuAlt','$CNoDoc','DIVISION','$CUbicaActu','$ClavePallet','$Restante','$FechaEnt','$HoraOK','$UsuEn')";
					$resultadok=mysql_query($sqlk,$conexion) or die(mysql_error());
				
		/// /\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\ ///
			///Inicia Generador de Folio para las Tareas de Ordenes de Trabajo (Maquila)///
	
					$FechaCalTarea=date("Ymd");
			
					$sql_GTOT = "select max(IDINCRE) as ultimo_GTOT from tabla_consetarea_ordentrabajo WHERE FECHA='$FechaCalTarea'"; 
					$lib_GTOT = mysql_query($sql_GTOT); 
					$rs_lib_GTOT = mysql_fetch_assoc($lib_GTOT); 
					$id_nuevo_GTOT = $rs_lib_GTOT['ultimo_GTOT'] + 1;
					
					if ($id_nuevo_GTOT <=9)
					{
					$IdenCerosOT="0000";
					$ClaveTareaOT="TOT".$FechaCalTarea.$IdenCerosOT.$id_nuevo_GTOT;
					}
				
					if ($id_nuevo_GTOT >=10 and $id_nuevo_GTOT <=99)
					{
					$IdenCerosOT="000";
					$ClaveTareaOT="TOT".$FechaCalTarea.$IdenCerosOT.$id_nuevo_GTOT;
					}
				
					if ($id_nuevo_GTOT >=100 and $id_nuevo_GTOT <=999)
					{
					$IdenCerosOT="00";
					$ClaveTareaOT="TOT".$FechaCalTarea.$IdenCerosOT.$id_nuevo_GTOT;
					}
					
					if ($id_nuevo_GTOT >=1000 and $id_nuevo_GTOT <=9999)
					{
					$IdenCerosOT="0";
					$ClaveTareaOT="TOT".$FechaCalTarea.$IdenCerosOT.$id_nuevo_GTOT;
					}
										
					if ($id_nuevo_GTOT >=10000)
					{
					$ClaveTareaOT="TOT".$FechaCalTarea.$id_nuevo_GTOT;
					}
					
				///Generador de Folio para guardar el consecutivo del Pallet
					$sql_GTOT2 = "select max(ID) as ultimo_GTOT2 from tabla_consetarea_ordentrabajo"; 
					$lib_GTOT2 = mysql_query($sql_GTOT2); 
					$rs_lib_GTOT2 = mysql_fetch_assoc($lib_GTOT2); 
					$id_nuevo_GTOT2 = $rs_lib_GTOT2['ultimo_GTOT2'] + 1;
									
				///Guardar en la BD el consecutivo del No. de Pallet
					$sql_GTOT3 = "insert tabla_consetarea_ordentrabajo (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_TARE_OT,FECHA)
        			values('$id_nuevo_GTOT2','$ClavBodCR2','$CuentaCR1','$id_nuevo_GTOT','$ClaveTareaOT','$FechaCalTarea')";
					$resultado_GTOT3=mysql_query($sql_GTOT3,$conexion) or die(mysql_error());
	
			///Termina Generador de Folio para las Tareas de Ordenes de Trabajo (Maquila)///
		/// /\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\ ///
				
				///Generador de Folio concecutivo en la tabla extra_tareas_ordentrabajo ///
					$sql_CT = "select max(ID) as ultimo_FOLIO_CT from extra_tareas_ordentrabajo"; 
					$lib_CT = mysql_query($sql_CT); 
					$rs_lib_CT = mysql_fetch_assoc($lib_CT); 
					$id_nuevo_CT = $rs_lib_CT['ultimo_FOLIO_CT'] + 1;

				///Guardar la Tarea de Traslado en la tabla extra_tareas_ordentrabajo
					$sql_CT = "insert into extra_tareas_ordentrabajo 				(ID,CVE_BODEGA,CVE_CUENTA,NO_TAREA,NO_ORDEN,NO_PALLET,NO_PALLET_NUEVO,PEDIMENTO_SOLICITADO,TIPO_EXTRACCION,SKU,DESCRIPCION,CANT_XSURTIR,CANT_XTAREA,CANT_SURTIDA,ESTADO_TAREA,USUARIO_GENERO,FECHA_GENERO,HORA_GENERO,USUARIO_EJECUTO,FECHA_EJECUTO,HORA_EJECUTO,UBICACION,PRIORIDAD,OBSERVACIONES)
        			values('$id_nuevo_CT','$ClavBodCR2','$CuentaCR1','$ClaveTareaOT','$OrdenTrabajoEn','$NoPal_w2','$ClavePallet','$LoPro_w2','$TipExt_w1','$CSku','$CDescr','$CanTra_w1','$Restante','0','PENDIENTE','$UsuEn','$Fecha','$HoraOK','NULL','NULL','NULL','$Ubica_w2','$Priorid_RC2','AddBackorder2')";
			
					$resultado_CT=mysql_query($sql_CT,$conexion) or die(mysql_error());
				
				///Guarda la División del Pallet Original, le resta las piezas
					$sqlC1 = mysql_query("select CANTIDAD from tabla_inventario where CVE_CUENTA='$CuentaCR1' AND SKU='$CSku' AND LOTEPRODU='$LoPro_w2' AND NO_PALLET='$NoPal_w2'");
					if (mysql_numrows($sqlC1)==0) echo "";
					else{
						$registroC1=mysql_fetch_array($sqlC1);
					}
					if (mysql_numrows($sqlC1)>0)
					{
						$CCanti_Recal=$registroC1["CANTIDAD"];
						$CCanti_FinOk = round($CCanti_Recal, 0);
					}
			
				///Guarda la división del Pallet Original en la BD - Modifica la tabla del Inventario
					$CanSobPallOri = $CCanti_FinOk - $Restante;
					$ArmPallOri="1 pallet de ".$CanSobPallOri." piezas";
			
					$sql_GDPO="UPDATE tabla_inventario SET CANTIDAD='$CanSobPallOri', ARM_PALLET='$ArmPallOri' WHERE CVE_CUENTA='$CuentaCR1' AND SKU='$CSku' AND LOTEPRODU='$LoPro_w2' AND UBICACION='$Ubica_w2' AND TIPO_ALMACEN='$TipExt_w1' AND NO_PALLET='$NoPal_w2'";
					$resultado_GDPO=mysql_query($sql_GDPO,$conexion) or die(mysql_error());
				
				///echo "Termina a lo nuevo!!!'"; - alert
				
			}///Termina If 200
			else
			{///Inicia Else 200

////¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿? Termina Algoritmo de la Sección 2 ¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?////
					
					///Hora y Fecha
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
						
						////""""""" Generar el Registro a menos dentro del Kardex """"""""////
						
								///////Generador de Folio concecutivo en la tabla Kardex///////////
								$sqlIDK = "select max(ID) as ultimo_FOLIOK from tabla_kardex"; 
								$libK = mysql_query($sqlIDK); 
								$rs_libK = mysql_fetch_assoc($libK); 
								$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
		
							    ///////Variables Fijas////////////
								$NMovimiento="CALIDAD OT - ".$CEdoCali;
								$NMovimientoMAS="CALIDAD OT + PT";
								
								//////Guardar el registro a MENOS en la Table_Kardex//////////
								$sqlKMEN = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        						values('$id_nuevoK','$ClavBodCR2','$CuentaCR1','$CSku','$CSkuAlt','$CNoDoc','$NMovimiento','$CUbicaActu','$NoPal_w2','$CCantiMEN','$HoraOK','$Fecha','$UsuEn')";
								$resultadoKMEN=mysql_query($sqlKMEN,$conexion) or die(mysql_error());
								
								
						////""""""" Generar el Registro a mas dentro del Kardex """"""""////
								///////Generador de Folio concecutivo en la tabla Kardex///////////
								$sqlIDK2 = "select max(ID) as ultimo_FOLIOK2 from tabla_kardex"; 
								$libK2 = mysql_query($sqlIDK2); 
								$rs_libK2 = mysql_fetch_assoc($libK2); 
								$id_nuevoK2 = $rs_libK2['ultimo_FOLIOK2'] + 1;
			
								//////Guardar el registro a MAS en la Table_Kardex//////////
								$sqlKMAS = "insert into tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        						values('$id_nuevoK2','$ClavBodCR2','$CuentaCR1','$CSku','$CSkuAlt','$CNoDoc','$NMovimientoMAS','$CUbicaActu','$NoPal_w2','$CCantiMAS','$HoraOK','$Fecha','$UsuEn')";
								$resultadoKMAS=mysql_query($sqlKMAS,$conexion) or die(mysql_error());
								
								//////Guardar el Cabio de Calidad en la BD - Modifica la Table Inventario//////////
								$sqlMI="UPDATE tabla_inventario SET EDO_CALIDAD='PT' WHERE CVE_CUENTA='$CuentaCR1' AND NO_PALLET='$NoPal_w2' AND ID='$NumId_w2'";
								$resultadoMI=mysql_query($sqlMI,$conexion) or die(mysql_error());
								
///*************************************************************************************************************************	

			/// /\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\ ///
				///Inicia Generador de Folio para las Tareas de Ordenes de Trabajo (Maquila)///
	
					$FechaCalTarea=date("Ymd");
			
					$sql_GTOT = "select max(IDINCRE) as ultimo_GTOT from tabla_consetarea_ordentrabajo WHERE FECHA='$FechaCalTarea'"; 
					$lib_GTOT = mysql_query($sql_GTOT); 
					$rs_lib_GTOT = mysql_fetch_assoc($lib_GTOT); 
					$id_nuevo_GTOT = $rs_lib_GTOT['ultimo_GTOT'] + 1;
					
					if ($id_nuevo_GTOT <=9)
					{
					$IdenCerosOT="0000";
					$ClaveTareaOT="TOT".$FechaCalTarea.$IdenCerosOT.$id_nuevo_GTOT;
					}
				
					if ($id_nuevo_GTOT >=10 and $id_nuevo_GTOT <=99)
					{
					$IdenCerosOT="000";
					$ClaveTareaOT="TOT".$FechaCalTarea.$IdenCerosOT.$id_nuevo_GTOT;
					}
				
					if ($id_nuevo_GTOT >=100 and $id_nuevo_GTOT <=999)
					{
					$IdenCerosOT="00";
					$ClaveTareaOT="TOT".$FechaCalTarea.$IdenCerosOT.$id_nuevo_GTOT;
					}
					
					if ($id_nuevo_GTOT >=1000 and $id_nuevo_GTOT <=9999)
					{
					$IdenCerosOT="0";
					$ClaveTareaOT="TOT".$FechaCalTarea.$IdenCerosOT.$id_nuevo_GTOT;
					}
										
					if ($id_nuevo_GTOT >=10000)
					{
					$ClaveTareaOT="TOT".$FechaCalTarea.$id_nuevo_GTOT;
					}
					
				///Generador de Folio para guardar el consecutivo del Pallet
					$sql_GTOT2 = "select max(ID) as ultimo_GTOT2 from tabla_consetarea_ordentrabajo"; 
					$lib_GTOT2 = mysql_query($sql_GTOT2); 
					$rs_lib_GTOT2 = mysql_fetch_assoc($lib_GTOT2); 
					$id_nuevo_GTOT2 = $rs_lib_GTOT2['ultimo_GTOT2'] + 1;
									
				///Guardar en la BD el consecutivo del No. de Pallet
					$sql_GTOT3 = "insert tabla_consetarea_ordentrabajo (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_TARE_OT,FECHA)
        			values('$id_nuevo_GTOT2','$ClavBodCR2','$CuentaCR1','$id_nuevo_GTOT','$ClaveTareaOT','$FechaCalTarea')";
					$resultado_GTOT3=mysql_query($sql_GTOT3,$conexion) or die(mysql_error());
	
			///Termina Generador de Folio para las Tareas de Ordenes de Trabajo (Maquila)///
		/// /\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\ ///
								
								///Generador de Folio concecutivo en la tabla extra_tareas_ordentrabajo ///
								$sql_CT = "select max(ID) as ultimo_FOLIO_CT from extra_tareas_ordentrabajo"; 
								$lib_CT = mysql_query($sql_CT); 
								$rs_lib_CT = mysql_fetch_assoc($lib_CT); 
								$id_nuevo_CT = $rs_lib_CT['ultimo_FOLIO_CT'] + 1;

								///Guardar la Tarea de Traslado en la tabla extra_tareas_ordentrabajo
								$sql_CT = "insert into extra_tareas_ordentrabajo 				(ID,CVE_BODEGA,CVE_CUENTA,NO_TAREA,NO_ORDEN,NO_PALLET,NO_PALLET_NUEVO,PEDIMENTO_SOLICITADO,TIPO_EXTRACCION,SKU,DESCRIPCION,CANT_XSURTIR,CANT_XTAREA,CANT_SURTIDA,ESTADO_TAREA,USUARIO_GENERO,FECHA_GENERO,HORA_GENERO,USUARIO_EJECUTO,FECHA_EJECUTO,HORA_EJECUTO,UBICACION,PRIORIDAD,OBSERVACIONES)
        		values('$id_nuevo_CT','$ClavBodCR2','$CuentaCR1','$ClaveTareaOT','$OrdenTrabajoEn','$NoPal_w2','$NoPal_w2','$LoPro_w2','$TipExt_w1','$CSku','$CDescr','$CanTra_w1','$Canti_w2','0','PENDIENTE','$UsuEn','$Fecha','$HoraOK','NULL','NULL','NULL','$Ubica_w2','$Priorid_RC2','AddBackorder2')";
			
								$resultado_CT=mysql_query($sql_CT,$conexion) or die(mysql_error());
								
								///echo $NumId_w2." | ".$CodSku_w1." | ".$Canti_w2." | ".$NoPal_w2." | ".$Ubica_w2." | ".$LoPro_w2."<Br>";
				
				}///Termina Else 200
											
		}///Termina If Validador de Cantidades 01
		else
		{///Inicia Else Validador de Cantidades 01
			
			///echo "Inicia a lo anterior Restantes!!!"; - alert
			
//////////////INICIA REPITE CODIGO			
			
			
				/////Identificar el codigo SKU del producto por medio de la clave del Pallet
					$sqlDU2 = mysql_query("select * from tabla_inventario WHERE CVE_CUENTA='$CuentaCR1' AND NO_PALLET='$NoPal_w2' AND ID='$NumId_w2' AND SKU='$CodSku_w1'");
					if (mysql_numrows($sqlDU2)==0) echo "";
					else{
					$registroDU2=mysql_fetch_array($sqlDU2);
					}
					if (mysql_numrows($sqlDU2)>0)
					{
						$IdBasDa_RC2=$registroDU2["ID"];
						$CNoDoc=$registroDU2["NO_DOCUMENTO"];
						$Complem_RC2=$registroDU2["NO_DOC_COMPLE"];
						$CSku=$registroDU2["SKU"];
						$CSkuAlt=$registroDU2["SKU_ALT"];
						$CDescr=$registroDU2["DESCRIPCION"];
						$CCanti=$registroDU2["CANTIDAD"];
						$ValLote_RC2=$registroDU2["LOTE"];
						$LoteWms_RC2=$registroDU2["LOTEWMS"];
						$Caducid_RC2=$registroDU2["CADUCIDAD"];
						$Factura_RC2=$registroDU2["FACTURA"];
						$Proveed_RC2=$registroDU2["PROVEEDOR"];
						$PzaxCaj_RC2=$registroDU2["PIEZASXCAJA"];
						$CajxPal_RC2=$registroDU2["CAJASXPALLET"];
						$NoPalle_RC2=$registroDU2["NO_PALLET"];
						$CUbicaActu=$registroDU2["UBICACION"];
						$Priorid_RC2=$registroDU2["PRIORIDAD"];
						$TipUbic_RC2=$registroDU2["TIPO_UBICACION"];
						$CEdoCali=$registroDU2["EDO_CALIDAD"];	
				
						$CCantiMEN="-".$registroDU2["CANTIDAD"];
						$CCantiMAS=$registroDU2["CANTIDAD"];

					}
			
			
//////////////TERMINA REPITE CODIGO						
			
			///Me parece que aqui debe de ir el proceso que calcule el resto Faltante
			$Restante = $CanTra_w1 - $TotApartada;
			///echo "Aun nos faltan ".$Restante." piezas";
			
			///Identificar el prefijo configurado para la creación de pallets
					$sqlIDE1 = mysql_query("select * from wms_configura_pallet WHERE CVE_CUENTA='$CuentaCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{
					$PrefijoPal=$registroIDE1["PREFIJO"];
					}
					
					///Generador de Folio para guardar el concecutivo de la clave del Pallet
					$FechaPallet = substr($NoPalle_RC2, -13, 8); // debuelve la fecha del pallet origina
			
					$sqlIDP = "select max(IDINCRE) as ultimo_FOLIOP from tabla_consepallet WHERE FECHA='$FechaPallet'"; 
					$libP = mysql_query($sqlIDP); 
					$rs_libP = mysql_fetch_assoc($libP); 
					$id_nuevoP = $rs_libP['ultimo_FOLIOP'] + 1;
					
					if ($id_nuevoP <=9)
					{
					$IdenCeros="0000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=10 and $id_nuevoP <=99)
					{
					$IdenCeros="000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=100 and $id_nuevoP <=999)
					{
					$IdenCeros="00";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
					
					if ($id_nuevoP >=1000 and $id_nuevoP <=9999)
					{
					$IdenCeros="0";
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}
										
					if ($id_nuevoP >=10000)
					{
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}
					
					///Generador de Folio para guardar el consecutivo del Pallet
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consepallet"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
									
					///Guardar en la BD el consecutivo del No. de Pallet
					$sqlGCP = "insert tabla_consepallet (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,NO_PALLET,FECHA)
        			values('$id_nuevoP2','$ClavBodCR2','$CuentaCR1','$id_nuevoP','$CNoDoc','$ClavePallet','$FechaPallet')";
					$resultadoGCP=mysql_query($sqlGCP,$conexion) or die(mysql_error());
			
			///Generador de Folio tabla Inventarios
					$sqlID = "select max(ID) as ultimo_FOLIO from tabla_inventario"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_nuevoPPall = $rs_lib['ultimo_FOLIO'] + 1;
					
					///Guardar el Nuevo Pallet en la Tabla de Inventario
					$ArmadoDivision="1 pallet de ".$Restante." piezas";
					$FechaEnt=date("Y/m/d");
					////Hora y Fecha
					$Hora2=time();
					$HoraOK2=date("H:i:s",$Hora2);
					
					$sqlDP = "insert tabla_inventario (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,SKU,SKU_ALT,DESCRIPCION,FECHA_ENTRADA,CANTIDAD,LOTE,LOTEWMS,LOTEPRODU,CADUCIDAD,FACTURA,PROVEEDOR,PIEZASXCAJA,CAJASXPALLET,ARM_PALLET,NO_PALLET,UBICACION,PRIORIDAD,TIPO_UBICACION,EDO_CALIDAD,USUARIO_ALTA,HORA,FECHA,TIPO_ALMACEN)
        			values('$id_nuevoPPall','$ClavBodCR2','$CuentaCR1','$CNoDoc','$Complem_RC2','$CSku','$CSkuAlt','$CDescr','$FechaEnt','$Restante','$ValLote_RC2','$LoteWms_RC2','$LoPro_w2','$Caducid_RC2','$Factura_RC2','$Proveed_RC2','$PzaxCaj_RC2','$CajxPal_RC2','$ArmadoDivision','$ClavePallet','$CUbicaActu','$Priorid_RC2','$TipUbic_RC2','PT','$UsuEn','$HoraOK2','$FechaEnt','$TipExt_w1')";
					$resultadoDP=mysql_query($sqlDP,$conexion) or die(mysql_error());
	
	///*************************************************************************************************************************
					
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					
					///Generador de Folio para Guardar el kardex (Registro a MENOS)
					$sqlIDPK1 = "select max(ID) as ultimo_FOLIOPK1 from tabla_kardex"; 
					$libPK1 = mysql_query($sqlIDPK1); 
					$rs_libPK1 = mysql_fetch_assoc($libPK1); 
					$id_nuevoPK1 = $rs_libPK1['ultimo_FOLIOPK1'] + 1;
						
					/////Guarda la División del Pallet Orignal en el Kardex con un Registro Nuevo
					$sqlMK = "insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
					values('$id_nuevoPK1','$ClavBodCR2','$CuentaCR1','$CSku','$CSkuAlt','$CNoDoc','DIVISION','$CUbicaActu','$NoPal_w2','-$Restante','$FechaEnt','$HoraOK','$UsuEn')";
					$resultadoMK=mysql_query($sqlMK,$conexion) or die(mysql_error());
					
					
					////Generador de Folio para Guardar el Kardex (Registro a MAS)			
					$sqlIDPK = "select max(ID) as ultimo_FOLIOPK from tabla_kardex"; 
					$libPK = mysql_query($sqlIDPK); 
					$rs_libPK = mysql_fetch_assoc($libPK); 
					$id_nuevoPK = $rs_libPK['ultimo_FOLIOPK'] + 1;
					
					/////Guardar el Registro nuevo en el Kardex
					$sqlk = "insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
					values('$id_nuevoPK','$ClavBodCR2','$CuentaCR1','$CSku','$CSkuAlt','$CNoDoc','DIVISION','$CUbicaActu','$ClavePallet','$Restante','$FechaEnt','$HoraOK','$UsuEn')";
					$resultadok=mysql_query($sqlk,$conexion) or die(mysql_error());
			
	///*************************************************************************************************************************
			
			/// /\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\ ///
				///Inicia Generador de Folio para las Tareas de Ordenes de Trabajo (Maquila)///
	
					$FechaCalTarea=date("Ymd");
			
					$sql_GTOT = "select max(IDINCRE) as ultimo_GTOT from tabla_consetarea_ordentrabajo WHERE FECHA='$FechaCalTarea'"; 
					$lib_GTOT = mysql_query($sql_GTOT); 
					$rs_lib_GTOT = mysql_fetch_assoc($lib_GTOT); 
					$id_nuevo_GTOT = $rs_lib_GTOT['ultimo_GTOT'] + 1;
					
					if ($id_nuevo_GTOT <=9)
					{
					$IdenCerosOT="0000";
					$ClaveTareaOT="TOT".$FechaCalTarea.$IdenCerosOT.$id_nuevo_GTOT;
					}
				
					if ($id_nuevo_GTOT >=10 and $id_nuevo_GTOT <=99)
					{
					$IdenCerosOT="000";
					$ClaveTareaOT="TOT".$FechaCalTarea.$IdenCerosOT.$id_nuevo_GTOT;
					}
				
					if ($id_nuevo_GTOT >=100 and $id_nuevo_GTOT <=999)
					{
					$IdenCerosOT="00";
					$ClaveTareaOT="TOT".$FechaCalTarea.$IdenCerosOT.$id_nuevo_GTOT;
					}
					
					if ($id_nuevo_GTOT >=1000 and $id_nuevo_GTOT <=9999)
					{
					$IdenCerosOT="0";
					$ClaveTareaOT="TOT".$FechaCalTarea.$IdenCerosOT.$id_nuevo_GTOT;
					}
										
					if ($id_nuevo_GTOT >=10000)
					{
					$ClaveTareaOT="TOT".$FechaCalTarea.$id_nuevo_GTOT;
					}
					
				///Generador de Folio para guardar el consecutivo del Pallet
					$sql_GTOT2 = "select max(ID) as ultimo_GTOT2 from tabla_consetarea_ordentrabajo"; 
					$lib_GTOT2 = mysql_query($sql_GTOT2); 
					$rs_lib_GTOT2 = mysql_fetch_assoc($lib_GTOT2); 
					$id_nuevo_GTOT2 = $rs_lib_GTOT2['ultimo_GTOT2'] + 1;
									
				///Guardar en la BD el consecutivo del No. de Pallet
					$sql_GTOT3 = "insert tabla_consetarea_ordentrabajo (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_TARE_OT,FECHA)
        			values('$id_nuevo_GTOT2','$ClavBodCR2','$CuentaCR1','$id_nuevo_GTOT','$ClaveTareaOT','$FechaCalTarea')";
					$resultado_GTOT3=mysql_query($sql_GTOT3,$conexion) or die(mysql_error());
	
			///Termina Generador de Folio para las Tareas de Ordenes de Trabajo (Maquila)///
		/// /\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\ ///
			
			///Generador de Folio concecutivo en la tabla extra_tareas_ordentrabajo ///
					$sql_CT = "select max(ID) as ultimo_FOLIO_CT from extra_tareas_ordentrabajo"; 
					$lib_CT = mysql_query($sql_CT); 
					$rs_lib_CT = mysql_fetch_assoc($lib_CT); 
					$id_nuevo_CT = $rs_lib_CT['ultimo_FOLIO_CT'] + 1;
			
			///Guardar la Tarea de Traslado en la tabla extra_tareas_ordentrabajo
				$sql_CT = "insert into extra_tareas_ordentrabajo 				(ID,CVE_BODEGA,CVE_CUENTA,NO_TAREA,NO_ORDEN,NO_PALLET,NO_PALLET_NUEVO,PEDIMENTO_SOLICITADO,TIPO_EXTRACCION,SKU,DESCRIPCION,CANT_XSURTIR,CANT_XTAREA,CANT_SURTIDA,ESTADO_TAREA,USUARIO_GENERO,FECHA_GENERO,HORA_GENERO,USUARIO_EJECUTO,FECHA_EJECUTO,HORA_EJECUTO,UBICACION,PRIORIDAD,OBSERVACIONES)
        		values('$id_nuevo_CT','$ClavBodCR2','$CuentaCR1','$ClaveTareaOT','$OrdenTrabajoEn','$NoPal_w2','$ClavePallet','$LoPro_w2','$TipExt_w1','$CSku','$CDescr','$CanTra_w1','$Restante','0','PENDIENTE','$UsuEn','$Fecha','$HoraOK','NULL','NULL','NULL','$Ubica_w2','$Priorid_RC2','AddBackorder2')";
			
				$resultado_CT=mysql_query($sql_CT,$conexion) or die(mysql_error());
			
	///*************************************************************************************************************************
			
			$sqlC1 = mysql_query("select CANTIDAD from tabla_inventario where CVE_CUENTA='$CuentaCR1' AND SKU='$CSku' AND LOTEPRODU='$LoPro_w2' AND NO_PALLET='$NoPal_w2'");
			if (mysql_numrows($sqlC1)==0) echo "";
			else{
				$registroC1=mysql_fetch_array($sqlC1);
			}
			if (mysql_numrows($sqlC1)>0)
			{
				$CCanti_Recal=$registroC1["CANTIDAD"];
				$CCanti_FinOk = round($CCanti_Recal, 0);
			}
			
			///Guarda la división del Pallet Original en la BD - Modifica la tabla del Inventario
				$CanSobPallOri = $CCanti_FinOk - $Restante;
				$ArmPallOri="1 pallet de ".$CanSobPallOri." piezas";
			
				$sql_GDPO="UPDATE tabla_inventario SET CANTIDAD='$CanSobPallOri', ARM_PALLET='$ArmPallOri' WHERE CVE_CUENTA='$CuentaCR1' AND SKU='$CSku' AND LOTEPRODU='$LoPro_w2' AND UBICACION='$Ubica_w2' AND TIPO_ALMACEN='$TipExt_w1' AND NO_PALLET='$NoPal_w2'";
				$resultado_GDPO=mysql_query($sql_GDPO,$conexion) or die(mysql_error());
			
			///echo "Termina a lo anterior Restantes!!!"; - alert
			
			///break;
		}///Termina Else Validador de Cantidades 01
	
			///Inicia Sacar del while SI y solo SI se completo la totalidad de lo solicitado		
				$sqlSUMA2 = "Select SUM(CANT_XTAREA) as ObtCant2 FROM extra_tareas_ordentrabajo WHERE CVE_CUENTA='$CuentaCR1' AND NO_ORDEN='$OrdenTrabajoEn' AND TIPO_EXTRACCION='$TipExt_w1' AND SKU='$CodSku_w1' AND PEDIMENTO_SOLICITADO='$PedSol_w1' AND ESTADO_TAREA<>'CANCELADA'";
				$resSUMA2 = mysql_query($sqlSUMA2); 
				$PrePiezas2 = mysql_fetch_assoc($resSUMA2);
				$TotApartada2 =  $PrePiezas2 ['ObtCant2'];
		
				$TotApartada2_Fin = round($TotApartada2, 0);
		
				if ($TotApartada2_Fin == $CanTra_w1)
				{
					break;
				}
			///Termina Sacar del while SI y solo SI se completo la totalidad de lo solicitado	
		
		///Limpiando Variables del While 01

	
	}///Termina While 02

///#############
	
	////Identificar el total de piezas apartadas dentro de las Tareas Generadas	
		$sql_TPar = "Select SUM(CANT_XTAREA) as ObtCant_TPar FROM extra_tareas_ordentrabajo WHERE CVE_CUENTA='$CuentaCR1' AND NO_ORDEN='$OrdenTrabajoEn' AND TIPO_EXTRACCION='$TipExt_w1' AND SKU='$CodSku_w1' AND PEDIMENTO_SOLICITADO='$PedSol_w1' AND ESTADO_TAREA<>'CANCELADA'";
		$res_TPar = mysql_query($sql_TPar); 
		$Pre_TPar = mysql_fetch_assoc($res_TPar);
		$TotApartada_TPar =  $Pre_TPar ['ObtCant_TPar'];
		$TotApartada_TPar_Fin = round($TotApartada_TPar, 0);
	
	///Idetificar si en verdad se Apartaron Existencias
		if ($TotApartada_TPar_Fin=="0")
		{
			$IndenEstado="BACKORDER";
		}
		else
		{
			$IndenEstado="POR CONFIMAR";
		}

	
	//////Modificar la cantidad apartada dentro de la Orden de Trabajo como "CANTIDAD_APARTADA "
		$sqlMI="UPDATE extra_ordentrabajo SET CANTIDAD_APARTADA ='$TotApartada_TPar_Fin',ESTADO_LINEA='$IndenEstado' WHERE CVE_CUENTA='$CuentaCR1' AND NO_ORDEN='$OrdenTrabajoEn' AND TIPO_EXTRACCION='$TipExt_w1' AND SKU='$CodSku_w1' AND PEDIMENTO_SOLICITADO='$PedSol_w1' AND ESTADO_LINEA<>'CANCELADA' AND ID='$IdBaDa_w1'";
		$resultadoMI=mysql_query($sqlMI,$conexion) or die(mysql_error());
	
///#############	
	
	///Limpiando Variables del While 01
		$PedSol_w1  = "";
		$TipExt_w1 = "";
		$CodSku_w1  = "";
		$CanTra_w1  = "";
		$TotApartada_TPar_Fin = "";

}///Termina While 01
			

///Proceso complementario de corrección de Ubicaciones en la División
$sql_W2=mysql_query("Select * from extra_tareas_ordentrabajo where CVE_CUENTA='$CuentaCR1' AND NO_ORDEN='$OrdenTrabajoEn' AND OBSERVACIONES='AddBackorder2' Order By ID ASC");
while($res_W2=mysql_fetch_array($sql_W2))
{///Inicia While 02
	$ConsecID_w2 = $res_W2['ID'];
	$PallOrig_w2 = $res_W2['NO_PALLET'];
	$PallNuev_w2 = $res_W2['NO_PALLET_NUEVO'];
	$CodigSku_w2 = $res_W2['SKU'];
	$NumTarea_w2 = $res_W2['NO_TAREA'];
	
	///Identificar, si hay diferencia hacer la modificaciones pertinentes
	if ($PallOrig_w2<>$PallNuev_w2)
		{ ///Inicia If Especial 01
		
			///Consultar la ubicación y prioridad del pallet Original
			$sql_CPO = mysql_query("select UBICACION,PRIORIDAD from tabla_inventario where CVE_CUENTA='$CuentaCR1' AND NO_PALLET='$PallOrig_w2' AND SKU='$CodigSku_w2'");
			if (mysql_numrows($sql_CPO)==0) echo "";
			else{
			$registro_CPO=mysql_fetch_array($sql_CPO);
			}
			if (mysql_numrows($sql_CPO)>0)
			{
				$Ubica_CPO=$registro_CPO["UBICACION"];
				$Prior_CPO=$registro_CPO["PRIORIDAD"];
			}
		
		    ///Modificar Ubicación y Prioridad en Tareas de Ordenes de Trabajo
				$sql_Up1="UPDATE extra_tareas_ordentrabajo SET UBICACION='$Ubica_CPO',PRIORIDAD='$Prior_CPO',OBSERVACIONES='' Where CVE_CUENTA='$CuentaCR1' AND NO_ORDEN='$OrdenTrabajoEn' AND SKU='$CodigSku_w2' AND ID='$ConsecID_w2' AND NO_PALLET_NUEVO='$PallNuev_w2' AND NO_TAREA='$NumTarea_w2' AND OBSERVACIONES='AddBackorder2'";
				$resultado_Up1=mysql_query($sql_Up1,$conexion) or die(mysql_error());
		
			///Modificar Ubicación y Prioridad en Inventario
				$sql_Up2="UPDATE tabla_inventario SET UBICACION='$Ubica_CPO',PRIORIDAD='$Prior_CPO' Where CVE_CUENTA='$CuentaCR1' AND SKU='$CodigSku_w2' AND NO_PALLET='$PallNuev_w2'";
				$resultado_Up2=mysql_query($sql_Up2,$conexion) or die(mysql_error());
		
			///Modificar Ubicación en Kardex
				$sql_Up3="UPDATE tabla_kardex SET CLAVEUBICACION='$Ubica_CPO' Where CVE_CUENTA='$CuentaCR1' AND SKU='$CodigSku_w2' AND PALLET='$PallNuev_w2' AND MOVIMIENTO='DIVISION'";
				$resultado_Up3=mysql_query($sql_Up3,$conexion) or die(mysql_error());
			
		} ///Termina if especial 01
	
}///Termina While 02	

}///TERMINA IF GENERAL BACKORDER PARCIAL 01	
	
		///Quitar Observaciones de Ejecución dentro de las Tareas
			$sql_EObs="UPDATE extra_tareas_ordentrabajo SET OBSERVACIONES='NULL' Where CVE_CUENTA='$CuentaCR1' AND NO_ORDEN='$OrdenTrabajoEn'";
			$resultado_EObs=mysql_query($sql_EObs,$conexion) or die(mysql_error());
	
}///Termina While 00

			
		///Confirmación y Redireccionamientos
		echo "<script>alert('BACKORDER PROCESADO CORRECTAMENTE.');</script>";
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=126-VisualizacionDetalleOrdenDeTrabajo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&NoOrden=$OrdenTrabajoEn'>";
					
?>

<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
	
</body>
</html>